Bug 636163 - RFE: qemu: support input-send-event for mouse input
RFE: qemu: support input-send-event for mouse input
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks: libvirtTodoHV
  Show dependency treegraph
 
Reported: 2010-09-21 11:22 EDT by Daniel Berrange
Modified: 2016-04-10 09:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2010-09-21 11:22:53 EDT
Description of problem:
Support injection of mouse + keyboard events to a VM, regardless of the graphical console configured (SPICE/VNC/SDL,etc)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2011-07-07 10:36:50 EDT
commit 973564094f29d63d610a92909252bdf21e27d2fb
Author: Lai Jiangshan <laijs@cn.fujitsu.com>
Date:   Tue Jun 7 17:11:12 2011 +0800

    send-key: Defining the public API
    
    Add public virDomainSendKey() and enum libvirt_keycode_set
    for the @codeset.



Support for mouse events is still TBD
Comment 2 Cole Robinson 2016-03-22 18:20:48 EDT
qemu 2.6 will have the input-send-event command, which AFAICT can be used for mouse input

commit 6575ccddf4e7c2484bc14b10d5e89f57506c3953
Author: Gerd Hoffmann <kraxel@redhat.com>
Date:   Tue Jan 12 12:39:33 2016 +0100

    qapi: promote input-send-event to stable


Will probably require a new libvirt API, I doubt we can shoehorn this into virDomainSendKey

Note You need to log in before you can comment on or make changes to this bug.